
TYPO3.Flow - Feature # 33226

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Validation
Created: 2012-01-16 Assigned To: Bastian Waidelich
Updated: 2012-01-26 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add Getter for validator options and child validators
Description

Validation options are set through the constructor but there is currently no way of accessing the options afterwards.
This would make sense in order to transform validation rules into another format (e.g. to apply them on the client side).
Similar issue for the CompositeValidators: There is currently no way to retrieve the child validators.

Associated revisions
Revision 0acd9937 - 2012-01-25 11:31 - Bastian Waidelich

[FEATURE] Add Getter for validator options and child validators

Validation options are set through the constructor but there is
currently no way of accessing the options afterwards.
This change introduces the respective getters.

Change-Id: I2e748f33bccdb10fb595301466bd69efee499cea
Resolves: #33226
Releases: 1.1

History
#1 - 2012-01-16 19:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7819

#2 - 2012-01-25 11:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7819

#3 - 2012-01-25 11:27 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7819
#4 - 2012-01-25 11:31 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7819

#5 - 2012-01-26 02:43 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0acd9937f4cd9b638c436eeea144f05e6038dbdf.
